vigra - OOB_Error Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| OOB_Error Class Reference Machine Learning |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for OOB_Error:

## Public Member Functions
template<class RF , class PR >
void | visit_at_end (RF &rf, PR &pr)
Public Member Functions inherited from VisitorBase
double | return_val ()
template<class Tree , class Split , class Region , class Feature_t , class Label_t >
void | visit_after_split (Tree &tree, Split &split, Region &parent, Region &leftChild, Region &rightChild, Feature_t &features, Label_t &labels)
template<class RF , class PR , class SM , class ST >
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF , class PR >
void | visit_at_beginning (RF const &rf, PR const &pr)
template<class RF , class PR >
void | visit_at_end (RF const &rf, PR const &pr)
template<class TR , class IntT , class TopT , class Feat >
void | visit_external_node (TR &tr, IntT index, TopT node_t, Feat &features)
template<class TR , class IntT , class TopT , class Feat >
void | visit_internal_node (TR &, IntT, TopT, Feat &)

## Public Attributes
double | oob_breiman

## Detailed Description

Visitor that calculates the oob error of the ensemble This rate should be used to estimate the crossvalidation error rate. Here each sample is put down those trees, for which this sample is OOB i.e. if sample #1 is OOB for trees 1, 3 and 5 we calculate the output using the ensemble consisting only of trees 1 3 and 5.

Using normal bagged sampling each sample is OOB for approx. 33% of trees The error rate obtained as such therefore corresponds to crossvalidation rate obtained using a ensemble containing 33% of the trees.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Thu Jan 8 2015)